/*
	GLfunge98 'NULL' extension (fingerprint 0x4e554c4c)
	Implementation Copyright (C) 2000, Heikki Kallasjoki
	Semantics by Cat's eye Technologies'

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
*/


#include <stdlib.h>
#include <IPstruct.h>


/* actual functions */
void * oldfunks[26];
int revdelta(IP * curIP) { curIP->dx = -curIP->dx; curIP->dy = -curIP->dy; return 1; }

/* necessary functions for GLfunge98-extension */

/* registercmd - registers a command function to a funge-command */
void * registercmd(void * oldfunc, int cmdchar, int * statusval) {
	*statusval = 1;
	oldfunks[cmdchar - 'A'] = oldfunc;
	return revdelta;
}

/* restorecmd - restores old commands */
void * restorecmd(int cmdchar, int * statusval) {
	*statusval = 1;
	return oldfunks[cmdchar - 'A'];
}


